package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerPotentialAssigneds;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclPractitionerPotentialAssignedsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerPotentialAssigneds record);

    int insertSelective(AclPractitionerPotentialAssigneds record);

    AclPractitionerPotentialAssigneds selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerPotentialAssigneds record);

    int updateByPrimaryKey(AclPractitionerPotentialAssigneds record);

    void insertList(@Param("potentialAssignedsList") List<AclPractitionerPotentialAssigneds> potentialAssignedsList);

    List<AclPractitionerPotentialAssigneds> findByPotentialIdAndPractitionerId(@Param("potentialId")Long potentialId, @Param("practitionerId")Long practitionerId);

    List<AclPractitionerPotentialAssigneds> findByPractitionerId(@Param("practitionerId")Long practitionerId);

    List<AclPractitionerPotentialAssigneds> findByPractitionerIdAndPotentialIdList(@Param("practitionerId")Long practitionerId, @Param("potentialIdList")List<Long> potentialIdList);
}